import { Annotation, Tag } from 'doctrine';
import { Option } from 'fp-ts/es6/Option';
export { Annotation };
export declare const parseJSDoc: (source: string) => Annotation;
export declare const hasTag: (tag: string[]) => (annotation: Annotation) => boolean;
export declare const getTag: (tag: string) => (annotation: Annotation) => Option<Tag>;
export declare const tagToRecord: (a: Annotation) => Record<string, Omit<Tag, "title">>;
