import * as E from 'fp-ts/es6/Either';
import { Module } from 'macoolka-type-model';
import { FileWhereUniqueInput } from 'macoolka-store-core';
/**
 * parse file to locale module
 * @desczh
 * 解析ts文件到`Module`
 */
export declare const parse: (locale: string) => (files: Array<FileWhereUniqueInput>) => E.Either<string, Module.MModule[]>;
/**
 * parse file to locale module
 * @desczh
 * 解析ts文件到`Module`(i18n)
 */
export declare const parseI18N: (locale: string) => (files: Array<FileWhereUniqueInput>) => E.Either<string, Module.MModule[]>;
